SETRUID(3) | Library Functions Manual | SETRUID(3)

# NAME

`setruid`, `setrgid` — set user and group ID

# LIBRARY

Standard C Library (libc, -lc)

# SYNOPSIS

`#include <sys/types.h>`

int
`setruid`(uid_t ruid);

int
`setrgid`(gid_t rgid);

# DESCRIPTION

The `setruid`() function (`setrgid`()) sets the real user ID (group ID) of the current process.

# RETURN VALUES

Upon success, these functions return 0; otherwise -1 is returned.

If the user is not the super user, or the uid specified is not the real or effective ID, these functions return -1.

The use of these calls is not portable. Their use is discouraged; they will be removed in the future.

# SEE ALSO

getgid(2), getuid(2), setegid(2), seteuid(2), setgid(2), setuid(2)

# HISTORY

The `setruid`() and `setrgid`() syscalls appeared in 4.2BSD and were dropped in 4.4BSD.

June 2, 1993 | NetBSD 11.0